Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 23 Nov 2015 11:01:10 +0000 (UTC)
From:      Peter Holm <pho@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r291192 - user/pho/stress2/misc
Message-ID:  <201511231101.tANB1AbF031945@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: pho
Date: Mon Nov 23 11:01:10 2015
New Revision: 291192
URL: https://svnweb.freebsd.org/changeset/base/291192

Log:
  Added two new test scenarios.
  
  Sponsored by:	EMC / Isilon storage division

Added:
  user/pho/stress2/misc/gnop.sh   (contents, props changed)
  user/pho/stress2/misc/maxvnodes.sh   (contents, props changed)

Added: user/pho/stress2/misc/gnop.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/gnop.sh	Mon Nov 23 11:01:10 2015	(r291192)
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2015 EMC Corp.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+# Test with different sector size using gnop(8).
+# Out of VM seen:
+# https://people.freebsd.org/~pho/stress/log/gnop.txt
+
+test() {
+	. ../default.cfg
+
+	mount | grep $mntpoint | grep -q /dev/md && umount -f $mntpoint
+	[ -c /dev/md$mdstart ] &&  mdconfig -d -u $mdstart
+
+	mdconfig -a -t swap -s 2g -u $mdstart || exit 1
+	gnop create -S $1 /dev/md$mdstart
+	newfs $newfs_flags /dev/md${mdstart}.nop > /dev/null
+	mount /dev/md${mdstart}.nop $mntpoint
+	chmod 777 $mntpoint
+
+	export runRUNTIME=4m
+	export RUNDIR=$mntpoint/stressX
+
+	su $testuser -c 'cd ..; ./run.sh marcus.cfg' > /dev/null 2>&1
+
+	while mount | grep $mntpoint | grep -q /dev/md; do
+		umount $mntpoint || sleep 1
+	done
+	checkfs /dev/md${mdstart}.nop
+	gnop destroy /dev/md${mdstart}.nop
+	mdconfig -d -u $mdstart
+}
+
+gnop load
+gnop status || exit
+
+for i in 1k 2k 4k 8k; do
+	test $i
+done
+
+gnop unload

Added: user/pho/stress2/misc/maxvnodes.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/maxvnodes.sh	Mon Nov 23 11:01:10 2015	(r291192)
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2015 EMC Corp.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+# Test dynamic kern.maxvnodes implementation.
+
+. ../default.cfg
+
+mount | grep $mntpoint | grep -q /dev/md && umount -f $mntpoint
+mount -o size=2g -t tmpfs tmpfs $mntpoint || exit 1
+chmod 777 $mntpoint
+
+oldmx=`sysctl -n kern.maxvnodes`
+trap "sysctl kern.maxvnodes=$oldmx > /dev/null" EXIT SIGINT
+
+export runRUNTIME=10m
+export RUNDIR=$mntpoint/stressX
+export TESTPROGS="
+testcases/creat/creat
+testcases/mkdir/mkdir
+testcases/swap/swap
+"
+export creatINCARNATIONS=50
+export creatLOAD=100
+
+su $testuser -c 'cd ..; ./testcases/run/run $TESTPROGS' > /dev/null 2>&1 &
+
+min=1000
+max=$((oldmx * 4))
+while kill -0 $! 2>/dev/null; do
+	sysctl kern.maxvnodes=`jot -r 1 $min $max` > /dev/null
+	sleep `jot -r 1 1 3`
+done
+wait
+
+while mount | grep $mntpoint | grep -q tmpfs; do
+	umount $mntpoint || sleep 1
+done



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201511231101.tANB1AbF031945>